View Issue Details

IDProjectCategoryView StatusLast Update
0032133Open CASCADEOCCT:Modeling Datapublic2021-12-17 18:41
Reportervro Assigned Tobugmaster  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032133: Modeling Data - Restriction of access to internal arrays for Poly_Triangulation, revision of API
DescriptionRestriction of access to internal arrays for Poly_Triangulation for 2d and 3d nodes, triangles and normals. Also, the API of the class needs a revision.
Steps To ReproduceThe changes in Poly_Triangulation are done. Your remarks are welcome: http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32133-CR32133-vro/view/COMPARE/.
TagsNo tags attached.
Test case numberNot required

Relationships

parent of 0032649 verifiedinv Community Modeling Algorithms - Bug in BRepLib::EnsureNormalConsistency() 
related to 0023762 closedbugmaster Open CASCADE Way of getting normals from Poly_Triangulation is inconvenient 
child of 0025936 assignedkgv Open CASCADE Modeling Data - reusable data structure for 2D tesselation (3- and 4-nodal mesh) 

Activities

git

2021-02-16 14:24

administrator   ~0098889

Branch CR32133 has been created by vro.

SHA-1: 86c88493b3a2ba6ae0868481c4bff6a6b6bdd192


Detailed log of new commits:

Author: vro
Date: Tue Feb 16 14:24:15 2021 +0300

    0032133: Modeling Data - Restriction of access to internal arrays for Poly_Triangulation, revision of API
    
    // Removed methods from Poly_Triangulation and Poly_PolygonOnTriangulation giving access to internal arrays of 2d and 3d nodes, triangles and normals.

kgv

2021-02-16 15:15

developer   ~0098893

-  Standard_Integer NbNodes() const { return myNodes.Length(); }
+  Standard_Integer NbNodes() const {
+    return myNodes.Size();
+  }

Please avoid unrelated changes.

kgv

2021-02-16 15:18

developer   ~0098894

+  Standard_Boolean          myHasUVNodes;

This flag looks redundant - !NCollection_Array1::IsEmpty() could be used instead.

kgv

2021-02-16 15:22

developer   ~0098895

+typedef NCollection_Vec3 <Standard_ShortReal> Vec3f;

This typedef contradicts OCCT Coding Style - please define a fully-qualified type name like gp_Vec3f or Poly_Vec3f within a dedicated header.

kgv

2021-02-16 17:33

developer   ~0098902

Please proceed with remarks.

git

2021-02-16 18:22

administrator   ~0098903

Branch CR32133 has been updated by vro.

SHA-1: 01682580b1d12b73e84d66780580b6390c4e86e6


Detailed log of new commits:

Author: vro
Date: Tue Feb 16 18:22:19 2021 +0300

    0032133: Modeling Data - Restriction of access to internal arrays for Poly_Triangulation, revision of API
    
    // Fixed remarks:
    // - myHasUVNodes is replaced by !myUVNodes.IsEmpty()
    // - Poly_Vec3f is introduced.

git

2021-02-17 00:13

administrator   ~0098907

Branch CR32133_1 has been created by kgv.

SHA-1: 847efc4ac699665d0daf09240d17afc20843bf46


Detailed log of new commits:

Author: vro
Date: Tue Feb 16 14:24:15 2021 +0300

    0032133: Modeling Data - Restriction of access to internal arrays for Poly_Triangulation, revision of API
    
    Removed methods from Poly_Triangulation/Poly_PolygonOnTriangulation giving access to internal arrays of 2d and 3d nodes, triangles and normals.

git

2021-02-17 01:00

administrator   ~0098910

Branch CR32133_1 has been updated forcibly by kgv.

SHA-1: c5f9e6ecaa587dc29018262d49fc8d99ca96f48b

git

2021-02-17 07:53

administrator   ~0098913

Branch CR32133_1 has been updated forcibly by kgv.

SHA-1: 9d1101f4ef61d8133177718747a9c5ec8509e6d3

git

2021-02-17 08:25

administrator   ~0098914

Branch CR32133_1 has been updated forcibly by kgv.

SHA-1: 2fd9a50b30cf45dc8d370c9527d4f4a78f170356

kgv

2021-02-17 10:28

developer   ~0098917

Please raise the patch
- OCCT: branch CR32133_1;
- OCC Products: branch CR32133_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32133_1-CR32133_1-KGV/

git

2021-02-17 23:09

administrator   ~0098937

Branch CR32133_1 has been updated forcibly by kgv.

SHA-1: 389745b33a94d822da28e4ca9d2ddfd21e51d2bb

git

2021-02-17 23:15

administrator   ~0098938

Branch CR32133_1 has been updated forcibly by kgv.

SHA-1: e867cdea5a77d0fbdac3a149a80922c4f2f29e03

git

2021-02-17 23:21

administrator   ~0098939

Branch CR32133_1 has been updated forcibly by kgv.

SHA-1: 169c7202ec784f18cd492ae81efa7bfb626c3cca

git

2021-02-17 23:27

administrator   ~0098940

Branch CR32133_1 has been updated forcibly by kgv.

SHA-1: ef921ab372383bff80e3673323baa54e03b3924d

git

2021-02-18 12:58

administrator   ~0098954

Branch CR32133_1 has been updated forcibly by kgv.

SHA-1: 42855290433d7a8b5d27f5914bda16f112f215f6

kgv

2021-02-19 15:26

developer   ~0098984

bugmaster

2021-02-21 11:32

administrator   ~0099018

Combination -
OCCT branch : IR-2021-02-20
master SHA - 127330f9d7ec8c87f4ec37ca8c93bbf65866cdee
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-20 SHA - 7c8d26f00c77b65a9d6b04524d1c1dce225fa6d7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17876.110000000237 / 17806.660000000233 [+0.39%]
Products
Total CPU difference: 11541.23000000011 / 11513.250000000124 [+0.24%]
Windows-64-VC14:
OCCT
Total CPU difference: 19352.0 / 19376.859375 [-0.13%]
Products
Total CPU difference: 12836.421875 / 12857.265625 [-0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-02-21 11:43

administrator   ~0099030

Branch CR32133_1 has been deleted by inv.

SHA-1: 42855290433d7a8b5d27f5914bda16f112f215f6

git

2021-02-21 11:43

administrator   ~0099031

Branch CR32133 has been deleted by inv.

SHA-1: 01682580b1d12b73e84d66780580b6390c4e86e6

Related Changesets

occt: master a8b605eb

2021-02-16 11:24:15

vro


Committer: bugmaster Details Diff
0032133: Modeling Data - Restriction of access to internal arrays for Poly_Triangulation, revision of API

Removed methods from Poly_Triangulation/Poly_PolygonOnTriangulation giving access to internal arrays of 2d and 3d nodes, triangles and normals.
Affected Issues
0032133
mod - dox/upgrade/upgrade.md Diff File
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.cpp Diff File
mod - samples/mfc/standard/07_Triangulation/src/Tesselate_Presentation.cpp Diff File
mod - samples/mfc/standard/07_Triangulation/src/TriangulationDoc.cpp Diff File
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff File
mod - samples/OCCTOverview/code/TriangulationSamples.cxx Diff File
mod - src/AIS/AIS_Manipulator.cxx Diff File
mod - src/AIS/AIS_Triangulation.cxx Diff File
mod - src/BinMDataXtd/BinMDataXtd_TriangulationDriver.cxx Diff File
mod - src/BinTools/BinTools_ShapeSet.cxx Diff File
mod - src/BRepBndLib/BRepBndLib.cxx Diff File
mod - src/BRepBndLib/BRepBndLib_1.cxx Diff File
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_Poly.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_TriangleSet.cxx Diff File
mod - src/BRepGProp/BRepGProp_MeshCinert.cxx Diff File
mod - src/BRepGProp/BRepGProp_MeshProps.cxx Diff File
mod - src/BRepGProp/BRepGProp_MeshProps.hxx Diff File
mod - src/BRepLib/BRepLib.cxx Diff File
mod - src/BRepMesh/BRepMesh_BaseMeshAlgo.cxx Diff File
mod - src/BRepMesh/BRepMesh_EdgeTessellationExtractor.cxx Diff File
mod - src/BRepMesh/BRepMesh_EdgeTessellationExtractor.hxx Diff File
mod - src/BRepMesh/BRepMesh_ModelPreProcessor.cxx Diff File
mod - src/BRepMesh/BRepMesh_ShapeTool.cxx Diff File
mod - src/BRepTools/BRepTools_Modification.cxx Diff File
mod - src/BRepTools/BRepTools_ShapeSet.cxx Diff File
mod - src/DBRep/DBRep_DrawableShape.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Triangulation.cxx Diff File
mod - src/DrawTrSurf/DrawTrSurf_Triangulation2D.cxx Diff File
mod - src/gp/FILES Diff File
add - src/gp/gp_Vec2f.hxx Diff File
add - src/gp/gp_Vec3f.hxx Diff File
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff File
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff File
mod - src/MeshTest/MeshTest.cxx Diff File
mod - src/MeshTest/MeshTest_CheckTopology.cxx Diff File
mod - src/MeshTest/MeshTest_PluginCommands.cxx Diff File
mod - src/Poly/Poly.cxx Diff File
mod - src/Poly/Poly_CoherentTriangulation.cxx Diff File
mod - src/Poly/Poly_Connect.cxx Diff File
mod - src/Poly/Poly_PolygonOnTriangulation.hxx Diff File
mod - src/Poly/Poly_Triangle.hxx Diff File
mod - src/Poly/Poly_Triangulation.cxx Diff File
mod - src/Poly/Poly_Triangulation.hxx Diff File
mod - src/Prs3d/Prs3d.cxx Diff File
mod - src/Prs3d/Prs3d_ToolQuadric.cxx Diff File
mod - src/QABugs/QABugs_19.cxx Diff File
mod - src/QABugs/QABugs_BVH.cxx Diff File
mod - src/RWGltf/RWGltf_TriangulationReader.cxx Diff File
mod - src/RWGltf/RWGltf_TriangulationReader.hxx Diff File
mod - src/RWMesh/RWMesh_FaceIterator.cxx Diff File
mod - src/RWMesh/RWMesh_FaceIterator.hxx Diff File
mod - src/RWObj/RWObj_TriangulationReader.cxx Diff File
mod - src/RWStl/RWStl.cxx Diff File
mod - src/Select3D/Select3D_SensitiveTriangulation.cxx Diff File
mod - src/ShapePersistent/ShapePersistent_Poly.cxx Diff File
mod - src/StdPrs/StdPrs_Isolines.cxx Diff File
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff File
mod - src/StdPrs/StdPrs_ToolTriangulatedShape.cxx Diff File
mod - src/StdPrs/StdPrs_WFShape.cxx Diff File
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff File
mod - src/StlAPI/StlAPI_Reader.cxx Diff File
mod - src/StlAPI/StlAPI_Writer.cxx Diff File
mod - src/TDataXtd/TDataXtd_Triangulation.cxx Diff File
mod - src/TDataXtd/TDataXtd_Triangulation.hxx Diff File
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff File
mod - src/VrmlConverter/VrmlConverter_ShadedShape.cxx Diff File
mod - src/VrmlData/VrmlData_IndexedFaceSet.cxx Diff File
mod - src/VrmlData/VrmlData_ShapeConvert.cxx Diff File
mod - src/XDEDRAW/XDEDRAW_Props.cxx Diff File
mod - src/XmlMDataXtd/XmlMDataXtd_TriangulationDriver.cxx Diff File
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff File
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML_DataSource.cxx Diff File

occt-products: master 7dcd4ae2

2021-02-16 14:25:39

vro


Committer: bugmaster Details Diff
0032133: Modeling Data - Restriction of access to internal arrays for Poly_Triangulation, revision of API

Corrected methods of direct access to internal arrays of Poly_Triangulation.
Affected Issues
0032133
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - samples/qt/SSP/src/SCATexturedShape.cxx Diff File
mod - src/EMeshTest/EMeshTest.cxx Diff File
mod - src/Geodesic/Geodesic_ShellDistances.cxx Diff File
mod - src/IFCCAFControl/IFCCAFControl_Transform.cxx Diff File
mod - src/JTCAFControl/JTCAFControl_Triangulation.cxx Diff File
mod - src/OMFTools/OMFTools.cxx Diff File
mod - src/QMShape/QMShape_IShapeTriangulation.cxx Diff File
mod - src/RVMCAFControl/RVMCAFControl_MeshHelper.cxx Diff File
mod - src/Unfolding/Unfolding_Algo.cxx Diff File

Issue History

Date Modified Username Field Change
2021-02-16 13:06 vro New Issue
2021-02-16 13:06 vro Assigned To => vro
2021-02-16 13:07 vro Relationship added child of 0025936
2021-02-16 14:24 git Note Added: 0098889
2021-02-16 15:15 kgv Note Added: 0098893
2021-02-16 15:18 kgv Note Added: 0098894
2021-02-16 15:22 kgv Note Added: 0098895
2021-02-16 17:07 vro Assigned To vro => kgv
2021-02-16 17:07 vro Status new => resolved
2021-02-16 17:07 vro Steps to Reproduce Updated
2021-02-16 17:33 kgv Note Added: 0098902
2021-02-16 17:33 kgv Assigned To kgv => vro
2021-02-16 17:33 kgv Status resolved => assigned
2021-02-16 18:22 git Note Added: 0098903
2021-02-17 00:13 git Note Added: 0098907
2021-02-17 01:00 git Note Added: 0098910
2021-02-17 07:45 kgv Assigned To vro => kgv
2021-02-17 07:53 git Note Added: 0098913
2021-02-17 08:25 git Note Added: 0098914
2021-02-17 10:28 kgv Note Added: 0098917
2021-02-17 10:28 kgv Assigned To kgv => bugmaster
2021-02-17 10:28 kgv Status assigned => resolved
2021-02-17 10:28 kgv Severity feature => integration request
2021-02-17 10:28 kgv Status resolved => reviewed
2021-02-17 10:28 kgv Product Version 7.6.0 =>
2021-02-17 23:09 git Note Added: 0098937
2021-02-17 23:15 git Note Added: 0098938
2021-02-17 23:21 git Note Added: 0098939
2021-02-17 23:27 git Note Added: 0098940
2021-02-18 12:58 git Note Added: 0098954
2021-02-19 15:26 kgv Note Added: 0098984
2021-02-21 11:32 bugmaster Note Added: 0099018
2021-02-21 11:32 bugmaster Status reviewed => tested
2021-02-21 11:35 bugmaster Test case number => Not required
2021-02-21 11:40 bugmaster Changeset attached => occt master a8b605eb
2021-02-21 11:40 bugmaster Status tested => verified
2021-02-21 11:40 bugmaster Resolution open => fixed
2021-02-21 11:43 git Note Added: 0099030
2021-02-21 11:43 git Note Added: 0099031
2021-09-20 10:28 kgv Relationship added related to 0023762
2021-11-04 18:20 msv Relationship added parent of 0032649
2021-12-17 18:41 bugmaster Changeset attached => occt-products master 7dcd4ae2